Subject: [clue] READV

From: Christian Groves <[email-masked]>
Date: Thu, 24 Jul 2014 11:06:58 +1000

Hello

I heard that there were some discussions at the meeting regarding the 
READV and in particular questions:
1. Do we need a separate READV response message to carry the CLUE data?
2. Couldn't the READV simply trigger the MP to send an ADV?

It seems that the answer at the meeting to 1 was "Yes" and the answer to 
2 was "No". Can anyone give some background / reasons for those answers? 
Is there some fundamental issue with using the READV as a trigger rather 
having to send CLUE Advertisement data in the READV response? The state 
machines in the protocol draft appear to use ADV in response to a READV.

Regards, Christian